Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/slrn: new aport

From: Steffen Lange <steffen_at_stelas.de>
Date: Sat, 12 Mar 2016 17:39:39 +0100

http://www.slrn.org/
An open source text-based news client
---
 testing/slrn/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/slrn/APKBUILD
diff --git a/testing/slrn/APKBUILD b/testing/slrn/APKBUILD
new file mode 100644
index 0000000..d77f41a
--- /dev/null
+++ b/testing/slrn/APKBUILD
_at_@ -0,0 +1,30 @@
+# Maintainer: Steffen Lange <steffen_at_stelas.de>
+pkgname=slrn
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="An open source text-based news client"
+url="http://www.slrn.org/"
+arch="x86 x86_64"
+license="GPL"
+depends_dev="openssl-dev slang-dev"
+makedepends="$depends_dev"
+subpackages="$pkgname-doc"
+source="http://jedsoft.org/releases/slrn/$pkgname-$pkgver.tar.gz"
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --enable-setgid-code \
+              --with-slrnpull --with-ssl \
+              --enable-spoilers || return 1
+  make -j1 || return 1
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make -j1 DESTDIR="$pkgdir" install || return 1
+  install -Dm644 doc/slrn.rc "$pkgdir"/etc/slrnrc
+  gzip -9 "$pkgdir"/usr/share/man/man1/*.1
+}
+
+md5sums="cd21aa0f5ec9c2ec1a26e5f1322f6422  slrn-1.0.2.tar.gz"
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Mar 12 2016 - 17:39:39 GMT